petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMKSPSetComputeRHS

set KSP right hand side evaluation function

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPSetComputeRHS(DM dm,PetscErrorCode (*func)(KSP,Vec,void*),void *ctx)

Not Collective

### Input Argument

| dm | - DM to be used with KSP
| func | - right hand side evaluation function, see KSPSetComputeRHS() for calling sequence
| ctx | - context for right hand side evaluation

### Note

KSPSetComputeRHS() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the matrix.

### See Also

DMKSPSetContext(), DMKSPGetComputeRHS(), KSPSetRHS()

Level:advanced
Location:src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages